//
//  Created by Lukas Hlavaty on 04.01.17.
//  Copyright (c) 2017 Lukas Hlavaty. All rights reserved.
//

#ifndef PLAYER_H
#define PLAYER_H

#include "Kostka_full.h"
#include <tuple>

class Player
{

struct sKost {
    Kostka_full* ko;
    bool odloz;
};

public: struct sSestHodnot {
    int k1, k2, k3, k4, k5, k6;
};

    public:
        Player();
        virtual ~Player();

        void pripisSkore(int prirustek);
        int get_stavSkore();

        void hodKostkama(bool newLap);
        bool odlozKostku(int kolikatou);
        void nulujOdlozeni(); //slouzi pro vynulovani stavu odlozeni u vsech kostek
        std::tuple<int, int, int, int, int, int> vratPosledniHodVsechnyKostky();
        sSestHodnot test();
        int* testX();
        int vratPosledniHodKostky(int poradi);

        void vypisTabulkuSkore();
        void vypisHodyVse();


    protected:

    private:
        sKost m_kostky[6];
        int m_stavSkore;
        int m_polePoslednichHodu[6];
        std::vector<int> m_tabulkaBodu;
};

#endif // PLAYER_H
